package com.eactive.eai.batch.job.jobItem.pension;

import com.eactive.eai.batch.job.jobItem.DefaultTelegram;
import com.eactive.eai.batch.job.jobItem.TelegramService;

import com.eactive.eai.batch.common.LogUtil;
import com.eactive.eai.common.exception.ExceptionUtil;
import com.eactive.eai.batch.job.jobConstant.TelegramKeys;


public class RECV_T0610_0001 extends DefaultTelegram implements TelegramService
{
    public RECV_T0610_0001() {
    }

    /**
     * 전문 Validation
     */
    public boolean doValidation()
    {
        if (!super.doValidation()) return false;

		//요구전문의 응답전문에 대한 Validation 실패시 요구송신 Process 종료 (return false)
		//(전문헤더 Validation은 RECV_T_RTMPS 클래스에서 수행되어 응답코드가 설정됨)
		if (!super.getResolveResponseCode().equals(TelegramKeys.RPS_HDB_RET_CODE_SUCCESS)) return false;

        return true;
    }

    /**
     * doPostExecute
     */
    public boolean doPostExecute() {
        try {
            if (!super.doPostExecute()) return false;
            /////////////////////////////////////////////////////////////
            /////////////////////////////////////////////////////////////
            logger.info("{}  doPostExecute called : 파일전송 성공 ", logHeader);
            // File Open LOG
            LogUtil.setLogFileEnd(batchDoc);
            return true;
        } catch (Exception ex) {
            String[] msgArgs = new String[1];
            msgArgs[0] = this.batchDoc.getBatchMsg().getHeader().getProcessCode();
            String errCode = "BECEAIFJI002";
            String errMsg = ExceptionUtil.getErrorCode (ex, errCode, msgArgs);
            this.batchDoc.getBatchMsg().getBody().setErrorMsg(errMsg);
            logger.error( ex.getMessage(), ex);
            return false;
        }
    }

    //---------------- 특정 필드값을 구하는 부분
    // 전문종별코드 필드값 리턴
    public String getTelegramType()
    {
		return super.getFieldValueString(8);
    }
    // 거래구분코드 필드값 리턴
    public String getTrClass()
    {
		return super.getFieldValueString(9);
    }
    //응답코드 필드값 리턴
    public String getResCode()
    {
		return super.getFieldValueString(12);
    }

}

